Subject: Re: [bug#54311] [PATCH] gnu: tint2: Update to 17.0.2.

From: Jaft <[email-masked]>
Date: Wed, 9 Mar 2022 22:16:38 +0000 (UTC)

> On Wednesday, March 9, 2022, 03:57:51 PM CST, Tobias Geerinckx-Rice <[email-masked]> wrote: 
>
>
>
>
>
> What Maxime means is that some forges (like GitHub) generate these archives on the fly, instead of the author uploading a 'stable' file.  You can usually tell them apart by the URL, but I forget GitLab's conventions.
>
> These archives might be cached for a while but if they are regenerated the hash could change even if the unpacked data didn't.  This has happened in the past and breaks e.g. guix time-machine even if 'fixed' on master.
>
> Hence we prefer git-fetch when available, or tarballs that look human-generated.
>
> Kind regards,
>
> T G-R

Ahhh; I see. Thanks a ton for the explanation, Tobias. I'll get this switched over to git-fetch, Maxime, while I look over your other feedback.